Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227882 - Disabled checked boxes get selected on 'Select All'
Summary: Disabled checked boxes get selected on 'Select All'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: wes hayutin
URL: http://rhn.webdev.redhat.com/rhn/syst...
Whiteboard:
Depends On:
Blocks: rhn500h-config-mgmt
TreeView+ depends on / blocked
 
Reported: 2007-02-08 19:23 UTC by Partha Aji
Modified: 2007-04-18 17:59 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 02:38:44 UTC


Attachments (Terms of Use)

Description Partha Aji 2007-02-08 19:23:39 UTC
Description of problem:
Disabled check boxes get selected on hitting the select all on Config Channel
subscriptions page

Version-Release number of selected component (if applicable): 
Rhn 500 Hosted + Satellite


How reproducible: 
Always


Steps to Reproduce:
1. Login as a user with access to atleast 2 central config channels.
2. Register a system.
3. Through the SDC, provide the system , 'provisioning' entitlement. 
4. Click Configuration -> Manage Configuration Channels -> Subscribe to Channels.
5. Select a channel or two (DO NOT select ALL channels) and hit Conitnue annd
Update on Rank Channels page.
6. Again click Configuration -> Manage Configuration Channels -> Subscribe to
Channels.
7. Notice that the previously selected check boxes are greyed out (disabled).
8. Hit the 'Select All' button.

Actual results:
All the check boxes are selected irrespective of whether they are disabled or
not. Also the pagination text shows "# selected" where # is the total number of
check boxes (Disabled + Non Disabled).

Expected results:
Only the non-disabled check boxes should be selected . Also the pagination text
should show "# selected" where # is the total number of ENABLED check boxes (Non
Disabled).

Comment 1 Partha Aji 2007-02-08 19:31:11 UTC
This has been resolved...

Comment 2 Partha Aji 2007-02-15 22:16:11 UTC
Moving to ON_QA

Comment 3 Partha Aji 2007-02-15 22:17:56 UTC
Moving to ON_QA

Comment 4 wes hayutin 2007-02-19 14:21:06 UTC
This appears to be working correctly..
verified

Comment 5 wes hayutin 2007-03-06 15:33:16 UTC
release pending

Comment 6 Brandon Perkins 2007-03-13 02:38:44 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.